CocoaRadioButton Class Reference

`#include <CocoaRadioButton.h>`

Inheritance diagram for CocoaRadioButton:

## Instance Methods

(void) | - clicked:
(void) | - createNewGroupManagerWithGroupID:
(CocoaRadioGroupManager *) | - getGroupManager
(NSSize) | - minSize
(NSSize) | - neededTextSize
(void) | - setC_ActionPtr:Data:
(void) | - setGroupManager:

## Protected Attributes

CocoaRadioGroupManager * | _groupManager
void * | c_actionData
gwenActionPtr | c_actionPtr
BOOL | fillX
BOOL | fillY
CGFloat | minWidth

## Detailed Description

Definition at line 26 of file CocoaRadioButton.h.

## Method Documentation

## clicked:

- (void) clicked: |  | (id) | sender |

## createNewGroupManagerWithGroupID:

- (void) createNewGroupManagerWithGroupID: |  | (NSInteger) | newGroupID |

## getGroupManager

- (CocoaRadioGroupManager *) getGroupManager |  |  |

References getGroupManager.

Referenced by getGroupManager.

## minSize

- (NSSize) minSize |  |  |

References minSize.

Referenced by minSize.

## neededTextSize

- (NSSize) neededTextSize |  |  |

Referenced by setC_ActionPtr:Data:.

## setC_ActionPtr:Data:

- (void) setC_ActionPtr: |  | (gwenActionPtr) | ptr
Data: |  | (void *) | data

References neededTextSize.

## setGroupManager:

- (void) setGroupManager: |  | (CocoaRadioGroupManager *) | newGroupManager |

## Field Documentation

## _groupManager

- (CocoaRadioGroupManager*) _groupManager

protected

Definition at line 28 of file CocoaRadioButton.h.

## c_actionData

- (void*) c_actionData

protected inherited

Definition at line 21 of file CocoaButton.h.

## c_actionPtr

- (gwenActionPtr) c_actionPtr

protected inherited

Definition at line 20 of file CocoaButton.h.

## fillX

- (BOOL) fillX

read write protected inherited

Definition at line 22 of file CocoaButton.h.

## fillY

- (BOOL) fillY

read write protected inherited

Definition at line 23 of file CocoaButton.h.

## minWidth

- (CGFloat) minWidth

protected inherited

Definition at line 25 of file CocoaButton.h.

The documentation for this class was generated from the following file:

- CocoaRadioButton.h